GOLF(2gg)

NAME
purge-hash - (hash)

PURPOSE
Purge a hash.

SYNTAX

        purge-hash <hash>

DESCRIPTION
purge-hash deletes all elements from <hash> that was created with new-hash.

After purge-hash, you can use it without calling new-hash again. Note however, that "average-reads" statistics (see get-hash) is not reset - it keeps being computed and remains for the life of the hash.

EXAMPLES
Create a hash, put some data in it and then delete the data:

        new-hash h
        write-hash h key "mykey" value "myvalue"
        purge-hash h

See read-hash for more examples.

SEE ALSO
 Hash

get-hash new-hash purge-hash read-hash resize-hash write-hash See all documentation